跳转到主要内容

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

GET /discovery/

返回指定 URL 发现任务的当前状态与详情。

路径参数

discoveryId
string
必填
发现任务 ID。

响应

id
string
任务唯一标识。
url
string
目标 URL。
type
string
发现方式:fullsitemapcrawl
status
string
当前状态:pendingprocessingcompletedfailed
urlsFound
number
当前已发现的 URL 数量。
createdAt
string
创建时间(ISO 8601)。
completedAt
string
完成时间(ISO 8601,未完成时为 null)。
curl -X GET https://api.llmgenerator.com/api/v1/discovery/550e8400-e29b-41d4-a716-446655440000 \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "url": "https://example.com",
  "type": "full",
  "status": "processing",
  "urlsFound": 23,
  "createdAt": "2026-01-20T10:00:00.000Z",
  "completedAt": null
}